[arch-commits] Commit in firefox/repos (4 files)

Jan de Groot jgc at archlinux.org
Fri Jul 18 18:58:48 UTC 2008


    Date: Friday, July 18, 2008 @ 14:58:48
  Author: jgc
Revision: 5548

Merged revisions 3722-5547 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/firefox/trunk

........
  r5494 | jgc | 2008-07-16 21:57:53 +0000 (Wed, 16 Jul 2008) | 12 lines
  
  Update to firefox 3.0.1:
  PKGBUILD:
    Use PGO to optimize firefox. Uses Xvfb to run the profiling build of firefox.
  
  firefox.sh:
    Adjust path.
  
  mozconfig:
    Use PGO.
    Switch to unofficial branding. This changes name from Minefield (trunk build) to Gran Paradiso, which is the codename for firefox 3.0.
    Define some extra variable to make PGO work
........
  r5507 | jgc | 2008-07-17 08:25:49 +0000 (Thu, 17 Jul 2008) | 2 lines
  
  Use unofficial branded icon also instead of the minefield icon
........
  r5516 | jgc | 2008-07-17 21:16:02 +0000 (Thu, 17 Jul 2008) | 2 lines
  
  Remove firefox.sh, the xulrunner stub is fixed for FS#10737 now. Build firefox without fakeroot so X doesn't need to skip access control checks.
........

Modified:
  firefox/repos/extra-x86_64/	(properties)
  firefox/repos/extra-x86_64/PKGBUILD
  firefox/repos/extra-x86_64/mozconfig
Deleted:
  firefox/repos/extra-x86_64/firefox.sh

------------+
 PKGBUILD   |   35 ++++++++++++++++++-----------------
 firefox.sh |    2 --
 mozconfig  |    5 +++++
 3 files changed, 23 insertions(+), 19 deletions(-)


Property changes on: firefox/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /firefox/trunk:1-3721
   + /firefox/trunk:1-5547

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-18 18:55:57 UTC (rev 5547)
+++ extra-x86_64/PKGBUILD	2008-07-18 18:58:48 UTC (rev 5548)
@@ -3,13 +3,13 @@
 # Contributor: Jakub Schmidtke <sjakub at gmail.com>
 
 pkgname=firefox
-pkgver=3.0
-pkgrel=2
+pkgver=3.0.1
+pkgrel=1
 pkgdesc="Standalone web browser from mozilla.org"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
-depends=('xulrunner>=1.9' 'startup-notification' 'desktop-file-utils')
-makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.22.1')
+depends=('xulrunner>=1.9.0.1' 'startup-notification' 'desktop-file-utils')
+makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.22.1' 'python' 'xorg-server')
 replaces=('firefox3')
 install=firefox.install
 url="http://www.mozilla.org/projects/firefox"
@@ -18,15 +18,13 @@
         firefox.desktop
         firefox-safe.desktop
         mozilla-firefox-1.0-lang.patch
-	mozilla-firstrun.patch
-	firefox.sh)
-md5sums=('4210ae0801df2eb498408533010d97c1'
-         'b7cc507da321ccac96282e938f2fdf36'
+	mozilla-firstrun.patch)
+md5sums=('406d67174f8f74ab154a1b17d0881b27'
+         '8b6e5f7d0a9e3f64747a024cf8f12069'
          '68cf02788491c6e846729b2f2913bf79'
          '5e68cabfcf3c021806b326f664ac505e'
          'bd5db57c23c72a02a489592644f18995'
-         '0f935d428ae3a94c00d06d92c4142498'
-	 'afc69657a5881cc264a8b2e7ded146e3')
+         '0f935d428ae3a94c00d06d92c4142498')
 
 build() {
   cd ${srcdir}/mozilla
@@ -38,19 +36,22 @@
   unset CFLAGS
   unset CXXFLAGS
 
-  export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-3.0"
+  export LDFLAGS="-Wl,-rpath,/usr/lib/firefox-${pkgver}"
 
-  make -j1 -f client.mk build MOZ_MAKE_FLAGS="${MAKEFLAGS}" || return 1
-  make -j1 DESTDIR=${pkgdir} install || return 1
+  LD_PRELOAD="" /usr/bin/Xvfb -nolisten tcp -extension GLX :99 &
+  XPID=$!
+  export DISPLAY=:99
 
-  rm -f ${pkgdir}/usr/bin/firefox
-  install -m755 ${srcdir}/firefox.sh ${pkgdir}/usr/bin/firefox || return 1
+  LD_PRELOAD="" make -j1 -f client.mk profiledbuild MOZ_MAKE_FLAGS="${MAKEFLAGS}" || return 1
+  kill $XPID
 
-  rm -f ${pkgdir}/usr/lib/firefox-3.0/libjemalloc.so
+  make -j1 DESTDIR=${pkgdir} -C ff-opt-obj install || return 1
 
+  rm -f ${pkgdir}/usr/lib/firefox-${pkgver}/libjemalloc.so
+
   install -m755 -d ${pkgdir}/usr/share/applications
   install -m755 -d ${pkgdir}/usr/share/pixmaps
-  install -m644 ${srcdir}/mozilla/browser/app/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
+  install -m644 ${srcdir}/mozilla/browser/branding/unofficial/default48.png ${pkgdir}/usr/share/pixmaps/firefox.png || return 1
   install -m644 ${srcdir}/firefox.desktop ${pkgdir}/usr/share/applications/ || return 1
   install -m644 ${srcdir}/firefox-safe.desktop ${pkgdir}/usr/share/applications/ || return 1
 }

Deleted: extra-x86_64/firefox.sh
===================================================================
--- extra-x86_64/firefox.sh	2008-07-18 18:55:57 UTC (rev 5547)
+++ extra-x86_64/firefox.sh	2008-07-18 18:58:48 UTC (rev 5548)
@@ -1,2 +0,0 @@
-#!/bin/sh
-exec /usr/lib/firefox-3.0/firefox $*

Modified: extra-x86_64/mozconfig
===================================================================
--- extra-x86_64/mozconfig	2008-07-18 18:55:57 UTC (rev 5547)
+++ extra-x86_64/mozconfig	2008-07-18 18:58:48 UTC (rev 5548)
@@ -25,8 +25,13 @@
 ac_add_options --disable-crashreporter
 ac_add_options --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9
 ac_add_options --enable-safe-browsing
+ac_add_options --with-branding=browser/branding/unofficial
+mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/ff-opt-obj
+mk_add_options PROFILE_GEN_SCRIPT='$(PYTHON) $(MOZ_OBJDIR)/_profile/pgo/profileserver.py'
 
 export BUILD_OFFICIAL=1
 export MOZILLA_OFFICIAL=1
+export USE_SHORT_LIBNAME=1
 mk_add_options BUILD_OFFICIAL=1
 mk_add_options MOZILLA_OFFICIAL=1
+mk_add_options USE_SHORT_LIBNAME=1





More information about the arch-commits mailing list